// Code generated by mockery v1.0.0. DO NOT EDIT.

package mocks

import context "context"
import mock "github.com/stretchr/testify/mock"
import redigoredis "github.com/gomodule/redigo/redis"

// Pool is an autogenerated mock type for the Pool type
type Pool struct {
	mock.Mock
}

// ActiveCount provides a mock function with given fields:
func (_m *Pool) ActiveCount() int {
	ret := _m.Called()

	var r0 int
	if rf, ok := ret.Get(0).(func() int); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(int)
	}

	return r0
}

// Close provides a mock function with given fields:
func (_m *Pool) Close() error {
	ret := _m.Called()

	var r0 error
	if rf, ok := ret.Get(0).(func() error); ok {
		r0 = rf()
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: ctx
func (_m *Pool) Get(ctx context.Context) redigoredis.Conn {
	ret := _m.Called(ctx)

	var r0 redigoredis.Conn
	if rf, ok := ret.Get(0).(func(context.Context) redigoredis.Conn); ok {
		r0 = rf(ctx)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(redigoredis.Conn)
		}
	}

	return r0
}

// IdleCount provides a mock function with given fields:
func (_m *Pool) IdleCount() int {
	ret := _m.Called()

	var r0 int
	if rf, ok := ret.Get(0).(func() int); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(int)
	}

	return r0
}

// Stats provides a mock function with given fields:
func (_m *Pool) Stats() redigoredis.PoolStats {
	ret := _m.Called()

	var r0 redigoredis.PoolStats
	if rf, ok := ret.Get(0).(func() redigoredis.PoolStats); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(redigoredis.PoolStats)
	}

	return r0
}
